summaryrefslogtreecommitdiff
path: root/modules/CIAO/examples/Null_Component/descriptors
diff options
context:
space:
mode:
Diffstat (limited to 'modules/CIAO/examples/Null_Component/descriptors')
-rw-r--r--modules/CIAO/examples/Null_Component/descriptors/NodeMap.dat1
-rw-r--r--modules/CIAO/examples/Null_Component/descriptors/Null_Homed.cdp109
-rwxr-xr-xmodules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_DifferentProcesses.cdp117
-rwxr-xr-xmodules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_SameProcess.cdp113
-rw-r--r--modules/CIAO/examples/Null_Component/descriptors/Null_Unhomed.cdp85
-rwxr-xr-xmodules/CIAO/examples/Null_Component/descriptors/run_test.pl219
-rwxr-xr-xmodules/CIAO/examples/Null_Component/descriptors/run_test_without_ns.pl193
7 files changed, 837 insertions, 0 deletions
diff --git a/modules/CIAO/examples/Null_Component/descriptors/NodeMap.dat b/modules/CIAO/examples/Null_Component/descriptors/NodeMap.dat
new file mode 100644
index 00000000000..56c6058252e
--- /dev/null
+++ b/modules/CIAO/examples/Null_Component/descriptors/NodeMap.dat
@@ -0,0 +1 @@
+NodeOne corbaloc:iiop:localhost:60001/NodeOne.NodeManager
diff --git a/modules/CIAO/examples/Null_Component/descriptors/Null_Homed.cdp b/modules/CIAO/examples/Null_Component/descriptors/Null_Homed.cdp
new file mode 100644
index 00000000000..2332e2d346e
--- /dev/null
+++ b/modules/CIAO/examples/Null_Component/descriptors/Null_Homed.cdp
@@ -0,0 +1,109 @@
+<Deployment:DeploymentPlan
+ xmlns:Deployment="http://www.omg.org/Deployment"
+ xmlns:xmi="http://www.omg.org/XMI"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://www.omg.org/Deployment Deployment.xsd">
+ <label>Null_Homed</label>
+ <UUID>Null_Homed</UUID>
+<implementation xmi:id="Null_ComponentHomeImplementation">
+ <name>Null_ComponentHomeImplementation</name>
+ <source/>
+ <artifact xmi:idref="Null_Component_ExecArtifact" />
+ <artifact xmi:idref="Null_Component_SvntArtifact" />
+ <execParameter>
+ <!-- entrypoint as exec parameter (see 10.6.1) -->
+ <name>home factory</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_ComponentHome_Impl</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantEntrypoint</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_ComponentHome_Servant</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_Component_svnt</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ExecutorArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_Component_exec</string>
+ </value>
+ </value>
+ </execParameter>
+</implementation>
+<implementation xmi:id="Null_ComponentComponentImplementation">
+ <name>Null_ComponentComponentImplementation</name>
+ <source/>
+ <artifact xmi:idref="Null_Component_ExecArtifact" />
+ <artifact xmi:idref="Null_Component_SvntArtifact" />
+ <artifact xmi:idref="Null_Component_StubArtifact" />
+</implementation>
+ <instance xmi:id="Null_ComponentHomeInstance">
+ <name>Null_ComponentHome</name>
+ <node>NodeOne</node>
+ <!-- hostname -->
+ <source/>
+ <implementation xmi:idref="Null_ComponentHomeImplementation" />
+</instance>
+ <instance xmi:id="Null_ComponentComponentInstance">
+ <name>Null_ComponentComponent</name>
+ <node>NodeOne</node>
+ <!-- hostname -->
+ <source/>
+ <implementation xmi:idref="Null_ComponentComponentImplementation" />
+ <configProperty>
+ <name>edu.vanderbilt.dre.DAnCE.ExplicitHome</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_ComponentHome</string>
+ </value>
+ </value>
+ </configProperty>
+</instance>
+ <artifact xmi:id="Null_Component_ExecArtifact">
+ <name>Null_Component_exec</name>
+ <source/>
+ <node/>
+ <location>Null_Component_exec</location>
+</artifact>
+<artifact xmi:id="Null_Component_SvntArtifact">
+ <name>Null_Component_svnt</name>
+ <source/>
+ <node/>
+ <location>Null_Component_svnt</location>
+</artifact>
+<artifact xmi:id="Null_Component_StubArtifact">
+ <name>Null_Component_stub</name>
+ <source/>
+ <node/>
+ <location>Null_Component_stub</location>
+</artifact>
+</Deployment:DeploymentPlan> \ No newline at end of file
diff --git a/modules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_DifferentProcesses.cdp b/modules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_DifferentProcesses.cdp
new file mode 100755
index 00000000000..c6d36a934d8
--- /dev/null
+++ b/modules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_DifferentProcesses.cdp
@@ -0,0 +1,117 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
+<Deployment:DeploymentPlan xmlns:Deployment="http://www.omg.org/Deployment" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.omg.org/Deployment Deployment.xsd">
+
+ <UUID>BFD86926-1FF5-11DF-8000-000C2916C803</UUID>
+
+ <implementation xmi:id="_1E394022-1FF5-11DF-B471-000C2916C803">
+ <name>PICML_default_xme_file.ComponentImplementations.Null_ComponentImpl.Null_ComponentImpl</name>
+ <source/>
+ <artifact xmi:idref="_1E394022-1FF5-11DF-B472-000C2916C803"/>
+ <artifact xmi:idref="_1E394022-1FF5-11DF-B473-000C2916C803"/>
+ <execParameter>
+ <name>component factory</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_Component_Impl</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ExecutorArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_exec</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantEntrypoint</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_Component_Servant</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_svnt</string>
+ </value>
+ </value>
+ </execParameter>
+ </implementation>
+
+ <instance xmi:id="_8C8C50BE-1FF5-11DF-8000-000C2916C803">
+ <name>PICML_default_xme_file.ComponentImplementations.NewComponentImplementationContainer.ComponentAssembly.Null_Component2</name>
+ <node>NodeOne</node>
+ <source/>
+ <implementation xmi:idref="_1E394022-1FF5-11DF-B471-000C2916C803"/>
+ <configProperty>
+ <name>edu.vanderbilt.dre.DAnCE.InstanceIOR</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_ComponentImpl.ior</string>
+ </value>
+ </value>
+ </configProperty>
+ </instance>
+
+ <instance xmi:id="_90F40908-1FF5-11DF-8000-000C2916C803">
+ <name>PICML_default_xme_file.ComponentImplementations.NewComponentImplementationContainer.ComponentAssembly.Null_Component1</name>
+ <node>NodeOne</node>
+ <source/>
+ <implementation xmi:idref="_1E394022-1FF5-11DF-B471-000C2916C803"/>
+ <configProperty>
+ <name>edu.vanderbilt.dre.DAnCE.InstanceIOR</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_ComponentImpl.ior</string>
+ </value>
+ </value>
+ </configProperty>
+ </instance>
+
+ <artifact xmi:id="_1E394022-1FF5-11DF-B472-000C2916C803">
+ <name>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_svnt</name>
+ <source/>
+ <node/>
+ <location>Null_Component_svnt</location>
+ </artifact>
+
+ <artifact xmi:id="_1E394022-1FF5-11DF-B473-000C2916C803">
+ <name>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_exec</name>
+ <source/>
+ <node/>
+ <location>Null_Component_exec</location>
+ </artifact>
+
+ <localityConstraint>
+ <constraint>SameProcess</constraint>
+ <constrainedInstance xmi:idref="_90F40908-1FF5-11DF-8000-000C2916C803"/>
+ </localityConstraint>
+
+ <localityConstraint>
+ <constraint>SameProcess</constraint>
+ <constrainedInstance xmi:idref="_8C8C50BE-1FF5-11DF-8000-000C2916C803"/>
+ </localityConstraint>
+
+</Deployment:DeploymentPlan>
diff --git a/modules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_SameProcess.cdp b/modules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_SameProcess.cdp
new file mode 100755
index 00000000000..adf21eb76c8
--- /dev/null
+++ b/modules/CIAO/examples/Null_Component/descriptors/Null_PlanLocality_SameProcess.cdp
@@ -0,0 +1,113 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
+<Deployment:DeploymentPlan xmlns:Deployment="http://www.omg.org/Deployment" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.omg.org/Deployment Deployment.xsd">
+
+ <UUID>BFD86926-1FF5-11DF-8000-000C2916C803</UUID>
+
+ <implementation xmi:id="_1E394022-1FF5-11DF-B471-000C2916C803">
+ <name>PICML_default_xme_file.ComponentImplementations.Null_ComponentImpl.Null_ComponentImpl</name>
+ <source/>
+ <artifact xmi:idref="_1E394022-1FF5-11DF-B472-000C2916C803"/>
+ <artifact xmi:idref="_1E394022-1FF5-11DF-B473-000C2916C803"/>
+ <execParameter>
+ <name>component factory</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_Component_Impl</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ExecutorArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_exec</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantEntrypoint</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_Component_Servant</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_svnt</string>
+ </value>
+ </value>
+ </execParameter>
+ </implementation>
+
+ <instance xmi:id="_8C8C50BE-1FF5-11DF-8000-000C2916C803">
+ <name>PICML_default_xme_file.ComponentImplementations.NewComponentImplementationContainer.ComponentAssembly.Null_Component2</name>
+ <node>NodeOne</node>
+ <source/>
+ <implementation xmi:idref="_1E394022-1FF5-11DF-B471-000C2916C803"/>
+ <configProperty>
+ <name>edu.vanderbilt.dre.DAnCE.InstanceIOR</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_ComponentImpl.ior</string>
+ </value>
+ </value>
+ </configProperty>
+ </instance>
+
+ <instance xmi:id="_90F40908-1FF5-11DF-8000-000C2916C803">
+ <name>PICML_default_xme_file.ComponentImplementations.NewComponentImplementationContainer.ComponentAssembly.Null_Component1</name>
+ <node>NodeOne</node>
+ <source/>
+ <implementation xmi:idref="_1E394022-1FF5-11DF-B471-000C2916C803"/>
+ <configProperty>
+ <name>edu.vanderbilt.dre.DAnCE.InstanceIOR</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_ComponentImpl.ior</string>
+ </value>
+ </value>
+ </configProperty>
+ </instance>
+
+ <artifact xmi:id="_1E394022-1FF5-11DF-B472-000C2916C803">
+ <name>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_svnt</name>
+ <source/>
+ <node/>
+ <location>Null_Component_svnt</location>
+ </artifact>
+
+ <artifact xmi:id="_1E394022-1FF5-11DF-B473-000C2916C803">
+ <name>PICML_default_xme_file.ImplementationArtifacts.Null_ComponentArtifacts.Null_Component_exec</name>
+ <source/>
+ <node/>
+ <location>Null_Component_exec</location>
+ </artifact>
+
+ <localityConstraint>
+ <constraint>SameProcess</constraint>
+ <constrainedInstance xmi:idref="_90F40908-1FF5-11DF-8000-000C2916C803"/>
+ <constrainedInstance xmi:idref="_8C8C50BE-1FF5-11DF-8000-000C2916C803"/>
+ </localityConstraint>
+
+</Deployment:DeploymentPlan>
diff --git a/modules/CIAO/examples/Null_Component/descriptors/Null_Unhomed.cdp b/modules/CIAO/examples/Null_Component/descriptors/Null_Unhomed.cdp
new file mode 100644
index 00000000000..c259d000b9e
--- /dev/null
+++ b/modules/CIAO/examples/Null_Component/descriptors/Null_Unhomed.cdp
@@ -0,0 +1,85 @@
+<Deployment:DeploymentPlan
+ xmlns:Deployment="http://www.omg.org/Deployment"
+ xmlns:xmi="http://www.omg.org/XMI"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://www.omg.org/Deployment Deployment.xsd">
+ <label>Null_Homed</label>
+ <UUID>Null_Homed</UUID>
+
+<implementation xmi:id="Null_ComponentComponentImplementation">
+ <name>Null_ComponentComponentImplementation</name>
+ <source/>
+ <artifact xmi:idref="Null_Component_ExecArtifact" />
+ <artifact xmi:idref="Null_Component_SvntArtifact" />
+ <execParameter>
+ <!-- entrypoint as exec parameter (see 10.6.1) -->
+ <name>component factory</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_Component_Impl</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantEntrypoint</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>create_Null_Component_Servant</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ServantArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_Component_svnt</string>
+ </value>
+ </value>
+ </execParameter>
+ <execParameter>
+ <name>edu.vanderbilt.dre.CIAO.ExecutorArtifact</name>
+ <value>
+ <type>
+ <kind>tk_string</kind>
+ </type>
+ <value>
+ <string>Null_Component_exec</string>
+ </value>
+ </value>
+ </execParameter>
+</implementation>
+<instance xmi:id="Null_ComponentComponentInstance">
+ <name>Null_ComponentComponent</name>
+ <node>NodeOne</node>
+ <!-- hostname -->
+ <source/>
+ <implementation xmi:idref="Null_ComponentComponentImplementation" />
+</instance>
+ <artifact xmi:id="Null_Component_ExecArtifact">
+ <name>Null_Component_exec</name>
+ <source/>
+ <node/>
+ <location>Null_Component_exec</location>
+</artifact>
+<artifact xmi:id="Null_Component_SvntArtifact">
+ <name>Null_Component_svnt</name>
+ <source/>
+ <node/>
+ <location>Null_Component_svnt</location>
+</artifact>
+<artifact xmi:id="Null_Component_StubArtifact">
+ <name>Null_Component_stub</name>
+ <source/>
+ <node/>
+ <location>Null_Component_stub</location>
+</artifact>
+</Deployment:DeploymentPlan> \ No newline at end of file
diff --git a/modules/CIAO/examples/Null_Component/descriptors/run_test.pl b/modules/CIAO/examples/Null_Component/descriptors/run_test.pl
new file mode 100755
index 00000000000..1c854d88e2b
--- /dev/null
+++ b/modules/CIAO/examples/Null_Component/descriptors/run_test.pl
@@ -0,0 +1,219 @@
+eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+ & eval 'exec perl -S $0 $argv:q'
+ if 0;
+
+# $Id$
+# -*- perl -*-
+
+use lib "$ENV{'ACE_ROOT'}/bin";
+use PerlACE::TestTarget;
+
+$CIAO_ROOT = "$ENV{'CIAO_ROOT'}";
+$TAO_ROOT = "$ENV{'TAO_ROOT'}";
+$DANCE_ROOT = "$ENV{'DANCE_ROOT'}";
+
+$daemons_running = 0;
+$em_running = 0;
+$ns_running = 0;
+
+$nr_daemon = 1;
+@ports = ( 60001 );
+@iorbases = ( "NodeApp1.ior" );
+@iorfiles = 0;
+@nodenames = ( "NodeOne" );
+
+# ior files other than daemon
+$ior_nsbase = "ns.ior";
+$ior_nsfile = 0;
+$ior_embase = "EM.ior";
+$ior_emfile = 0;
+
+# Processes
+$E = 0;
+$EM = 0;
+$NS = 0;
+@DEAMONS = 0;
+
+# targets
+@tg_daemons = 0;
+$tg_naming = 0;
+$tg_exe_man = 0;
+$tg_executor = 0;
+
+$status = 0;
+
+sub create_targets {
+ # naming service
+ $tg_naming = PerlACE::TestTarget::create_target (1) || die "Create target for ns failed\n";
+ $tg_naming->AddLibPath ('..');
+ # daemon
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $tg_daemons[$i] = PerlACE::TestTarget::create_target ($i+1) || die "Create target for deamon $i failed\n";
+ $tg_daemons[$i]->AddLibPath ('..');
+ }
+ # execution manager
+ $tg_exe_man = PerlACE::TestTarget::create_target (1) || die "Create target for EM failed\n";
+ $tg_exe_man->AddLibPath ('..');
+ # executor (plan_launcher)
+ $tg_executor = PerlACE::TestTarget::create_target (1) || die "Create target for executor failed\n";
+ $tg_executor->AddLibPath ('..');
+}
+
+sub init_ior_files {
+ $ior_nsfile = $tg_naming->LocalFile ($ior_nsbase);
+ $ior_emfile = $tg_exe_man->LocalFile ($ior_embase);
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $iorfiles[$i] = $tg_daemons[$i]->LocalFile ($iorbases[$i]);
+ }
+ delete_ior_files ();
+}
+
+# Delete if there are any .ior files.
+sub delete_ior_files {
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $tg_daemons[$i]->DeleteFile ($iorbases[$i]);
+ }
+ $tg_naming->DeleteFile ($ior_nsbase);
+ $tg_exe_man->DeleteFile ($ior_embase);
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $iorfiles[$i] = $tg_daemons[$i]->LocalFile ($iorbases[$i]);
+ }
+}
+
+sub kill_node_daemon {
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $DEAMONS[$i]->Kill (); $DEAMONS[$i]->TimedWait (1);
+ }
+}
+
+sub kill_open_processes {
+ if ($daemons_running == 1) {
+ kill_node_daemon ();
+ }
+
+ if ($em_running == 1) {
+ $EM->Kill (); $EM->TimedWait (1);
+ }
+
+ if ($ns_running == 1) {
+ $NS->Kill (); $NS->TimedWait (1);
+ }
+
+ # in case shutdown did not perform as expected
+ $tg_executor->KillAll ('ciao_componentserver');
+}
+
+
+sub run_node_daemons {
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $iorbase = $iorbases[$i];
+ $iorfile = $iorfiles[$i];
+ $port = $ports[$i];
+ $nodename = $nodenames[$i];
+ $iiop = "iiop://localhost:$port";
+ $node_app = "$CIAO_ROOT/bin/ciao_componentserver";
+
+ $d_cmd = "$DANCE_ROOT/bin/dance_node_manager";
+ $d_param = "-ORBEndpoint $iiop -s $node_app -n $nodename=$iorfile -t 30 --domain-nc corbaloc:rir:/NameService --instance-nc corbaloc:rir:/NameService";
+
+ print "Run dance_node_manager with $d_param\n";
+
+ $DEAMONS[$i] = $tg_daemons[$i]->CreateProcess ($d_cmd, $d_param);
+ $DEAMONS[$i]->Spawn ();
+
+ if ($tg_daemons[$i]->WaitForFileTimed($iorbase,
+ $tg_daemons[$i]->ProcessStartWaitInterval ()) == -1) {
+ print STDERR
+ "ERROR: The ior $iorfile file of node daemon $i could not be found\n";
+ for (; $i >= 0; --$i) {
+ $DEAMONS[$i]->Kill (); $DEAMONS[$i]->TimedWait (1);
+ }
+ return -1;
+ }
+ }
+ return 0;
+}
+
+if ($#ARGV == -1) {
+ opendir(DIR, ".");
+ @files = grep(/\.cdp$/,readdir(DIR));
+ closedir(DIR);
+}
+else {
+ @files = @ARGV;
+}
+
+create_targets ();
+init_ior_files ();
+
+foreach $file (@files) {
+ print "Starting test for deployment $file\n";
+
+ print STDERR "Starting Naming Service\n";
+
+ $NS = $tg_naming->CreateProcess ("$TAO_ROOT/orbsvcs/Naming_Service/Naming_Service", "-m 0 -ORBEndpoint iiop://localhost:60003 -o $ior_nsfile");
+ $NS->Spawn ();
+
+ if ($tg_naming->WaitForFileTimed ($ior_nsbase,
+ $tg_naming->ProcessStartWaitInterval ()) == -1) {
+ print STDERR "ERROR: cannot find naming service IOR file\n";
+ $NS->Kill (); $NS->TimedWait (1);
+ exit 1;
+ }
+
+ $ns_running = 1;
+ # Set up NamingService environment
+ $ENV{"NameServiceIOR"} = "corbaloc:iiop:localhost:60003/NameService";
+
+ # Invoke node daemon.
+ print "Invoking node daemon\n";
+ $status = run_node_daemons ();
+
+ if ($status != 0) {
+ print STDERR "ERROR: Unable to execute the node daemons\n";
+ kill_open_processes ();
+ exit 1;
+ }
+
+ $daemons_running = 1;
+
+ # Invoke execution manager.
+ print "Invoking execution manager\n";
+ $EM = $tg_exe_man->CreateProcess ("$DANCE_ROOT/bin/dance_execution_manager",
+ "-e$ior_emfile --domain-nc corbaloc:rir:/NameService");
+ $EM->Spawn ();
+
+ if ($tg_exe_man->WaitForFileTimed ($ior_embase,
+ $tg_exe_man->ProcessStartWaitInterval ()) == -1) {
+ print STDERR
+ "ERROR: The ior file of execution manager could not be found\n";
+ kill_open_processes ();
+ exit 1;
+ }
+
+ $em_running = 1;
+
+ # Invoke executor - start the application -.
+ print "Invoking executor - launch the application -\n";
+
+ print "Start dance_plan_launcher.exe with -x $file -k file://$ior_emfile\n";
+ $E = $tg_executor->CreateProcess ("$DANCE_ROOT/bin/dance_plan_launcher",
+ "-x $file -k file://$ior_emfile");
+ $E->SpawnWaitKill (2*$tg_executor->ProcessStartWaitInterval ());
+
+ # Invoke executor - stop the application -.
+ print "Invoking executor - stop the application -\n";
+ $E = $tg_executor->CreateProcess ("$DANCE_ROOT/bin/dance_plan_launcher",
+ "-k file://$ior_emfile -x $file -s");
+ $E->SpawnWaitKill ($tg_executor->ProcessStopWaitInterval ());
+
+ print "Executor returned.\n";
+
+ delete_ior_files ();
+ kill_open_processes ();
+}
+
+delete_ior_files ();
+kill_open_processes ();
+
+exit $status;
diff --git a/modules/CIAO/examples/Null_Component/descriptors/run_test_without_ns.pl b/modules/CIAO/examples/Null_Component/descriptors/run_test_without_ns.pl
new file mode 100755
index 00000000000..f56f270b47d
--- /dev/null
+++ b/modules/CIAO/examples/Null_Component/descriptors/run_test_without_ns.pl
@@ -0,0 +1,193 @@
+eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
+ & eval 'exec perl -S $0 $argv:q'
+ if 0;
+
+# $Id$
+# -*- perl -*-
+
+use lib "$ENV{'ACE_ROOT'}/bin";
+use PerlACE::TestTarget;
+
+$CIAO_ROOT = "$ENV{'CIAO_ROOT'}";
+$TAO_ROOT = "$ENV{'TAO_ROOT'}";
+$DANCE_ROOT = "$ENV{'DANCE_ROOT'}";
+
+$daemons_running = 0;
+$em_running = 0;
+$ns_running = 0;
+
+$nr_daemon = 1;
+@ports = ( 60001 );
+@iorbases = ( "NodeApp1.ior" );
+@iorfiles = 0;
+@nodenames = ( "NodeOne" );
+
+$dat_file = "NodeMap.dat";
+
+# ior files other than daemon
+$ior_embase = "EM.ior";
+$ior_emfile = 0;
+
+# Processes
+$E = 0;
+$EM = 0;
+$NS = 0;
+@DEAMONS = 0;
+
+# targets
+@tg_daemons = 0;
+$tg_exe_man = 0;
+$tg_executor = 0;
+
+$status = 0;
+
+sub create_targets {
+ # daemon
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $tg_daemons[$i] = PerlACE::TestTarget::create_target ($i+1) || die "Create target for deamon $i failed\n";
+ $tg_daemons[$i]->AddLibPath ('..');
+ }
+ # execution manager
+ $tg_exe_man = PerlACE::TestTarget::create_target (1) || die "Create target for EM failed\n";
+ $tg_exe_man->AddLibPath ('..');
+ # executor (plan_launcher)
+ $tg_executor = PerlACE::TestTarget::create_target (1) || die "Create target for executor failed\n";
+ $tg_executor->AddLibPath ('..');
+}
+
+sub init_ior_files {
+ $ior_emfile = $tg_exe_man->LocalFile ($ior_embase);
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $iorfiles[$i] = $tg_daemons[$i]->LocalFile ($iorbases[$i]);
+ }
+ delete_ior_files ();
+}
+
+# Delete if there are any .ior files.
+sub delete_ior_files {
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $tg_daemons[$i]->DeleteFile ($iorbases[$i]);
+ }
+ $tg_exe_man->DeleteFile ($ior_embase);
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $iorfiles[$i] = $tg_daemons[$i]->LocalFile ($iorbases[$i]);
+ }
+}
+
+sub kill_node_daemon {
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $DEAMONS[$i]->Kill (); $DEAMONS[$i]->TimedWait (1);
+ }
+}
+
+sub kill_open_processes {
+ if ($daemons_running == 1) {
+ kill_node_daemon ();
+ }
+
+ if ($em_running == 1) {
+ $EM->Kill (); $EM->TimedWait (1);
+ }
+
+ # in case shutdown did not perform as expected
+ $tg_executor->KillAll ('ciao_componentserver');
+}
+
+
+sub run_node_daemons {
+ for ($i = 0; $i < $nr_daemon; ++$i) {
+ $iorbase = $iorbases[$i];
+ $iorfile = $iorfiles[$i];
+ $port = $ports[$i];
+ $nodename = $nodenames[$i];
+ $iiop = "iiop://localhost:$port";
+ $node_app = "$CIAO_ROOT/bin/ciao_componentserver";
+
+ $d_cmd = "$DANCE_ROOT/bin/dance_node_manager";
+ $d_param = "-ORBEndpoint $iiop -s $node_app -n $nodename=$iorfile -t 30";
+
+ print "Run dance_node_manager with $d_param\n";
+
+ $DEAMONS[$i] = $tg_daemons[$i]->CreateProcess ($d_cmd, $d_param);
+ $DEAMONS[$i]->Spawn ();
+
+ if ($tg_daemons[$i]->WaitForFileTimed($iorbase,
+ $tg_daemons[$i]->ProcessStartWaitInterval ()) == -1) {
+ print STDERR
+ "ERROR: The ior $iorfile file of node daemon $i could not be found\n";
+ for (; $i >= 0; --$i) {
+ $DEAMONS[$i]->Kill (); $DEAMONS[$i]->TimedWait (1);
+ }
+ return -1;
+ }
+ }
+ return 0;
+}
+
+if ($#ARGV == -1) {
+ opendir(DIR, ".");
+ @files = grep(/\.cdp$/,readdir(DIR));
+ closedir(DIR);
+}
+else {
+ @files = @ARGV;
+}
+
+create_targets ();
+init_ior_files ();
+
+foreach $file (@files) {
+ print "Starting test for deployment $file\n";
+
+ # Invoke node daemon.
+ print "Invoking node daemon\n";
+ $status = run_node_daemons ();
+
+ if ($status != 0) {
+ print STDERR "ERROR: Unable to execute the node daemons\n";
+ kill_open_processes ();
+ exit 1;
+ }
+
+ $daemons_running = 1;
+
+ # Invoke execution manager.
+ print "Invoking execution manager\n";
+ $EM = $tg_exe_man->CreateProcess ("$DANCE_ROOT/bin/dance_execution_manager",
+ "-e$ior_emfile --node-map $dat_file");
+ $EM->Spawn ();
+
+ if ($tg_exe_man->WaitForFileTimed ($ior_embase,
+ $tg_exe_man->ProcessStartWaitInterval ()) == -1) {
+ print STDERR
+ "ERROR: The ior file of execution manager could not be found\n";
+ kill_open_processes ();
+ exit 1;
+ }
+
+ $em_running = 1;
+
+ # Invoke executor - start the application -.
+ print "Invoking executor - launch the application -\n";
+
+ print "Start dance_plan_launcher.exe with -x $file -k file://$ior_emfile\n";
+ $E = $tg_executor->CreateProcess ("$DANCE_ROOT/bin/dance_plan_launcher",
+ "-x $file -k file://$ior_emfile");
+ $E->SpawnWaitKill (2*$tg_executor->ProcessStartWaitInterval ());
+
+ # Invoke executor - stop the application -.
+ print "Invoking executor - stop the application -\n";
+ $E = $tg_executor->CreateProcess ("$DANCE_ROOT/bin/dance_plan_launcher",
+ "-k file://$ior_emfile -x $file -s");
+ $E->SpawnWaitKill ($tg_executor->ProcessStopWaitInterval ());
+
+ print "Executor returned.\n";
+
+ delete_ior_files ();
+ kill_open_processes ();
+}
+
+delete_ior_files ();
+kill_open_processes ();
+
+exit $status;